> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/kmp/setup-luciq-for-kmp/logs-and-profiling/auto-masking-and-repro-steps.md).

# Auto-masking & Repro Steps

### Repro steps configuration

Control how reproduction steps (user steps/breadcrumbs) are captured for bugs, crashes, and session replay. Use `ReproConfig` with `ReproStepsMode` per area:

| Mode                       | Description                            |
| -------------------------- | -------------------------------------- |
| `Enabled`                  | Capture user steps with screenshots    |
| `EnabledWithNoScreenshots` | Capture user steps without screenshots |
| `Disabled`                 | Do not capture user steps              |

{% code title="Kotlin" %}

```kotlin
val config = ReproConfig(
    bug = ReproStepsMode.Enabled,
    crash = ReproStepsMode.EnabledWithNoScreenshots,
    sessionReplay = ReproStepsMode.Enabled
)
LuciqKmp.setReproStepsConfig(config)
```

{% endcode %}

To set the same mode for bug, crash, and session replay, use `all`:

{% code title="Kotlin" %}

```kotlin
LuciqKmp.setReproStepsConfig(ReproConfig(all = ReproStepsMode.Enabled))
```

{% endcode %}

### Auto-masking

Mask sensitive UI elements (labels, text inputs, media) in screenshots and session replay:

{% code title="Kotlin" %}

```kotlin
LuciqKmp.enableAutoMasking(listOf(
    AutoMaskingType.Labels,
    AutoMaskingType.TextInputs,
    AutoMaskingType.Media
))
```

{% endcode %}

Use `AutoMaskingType.None` to disable masking for a type, or omit types you do not want to mask.

### User steps (iOS)

On iOS you can enable or disable tracking of user steps (breadcrumbs). This is a no-op on Android:

{% code title="Kotlin" %}

```kotlin
LuciqKmp.setTrackUserSteps(true)
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/logs-and-profiling/auto-masking-and-repro-steps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
